Bug 1233416 - [RFE] [Undercloud] The undercloud should act as an NTP server to initially sync time on nodes
Summary: [RFE] [Undercloud] The undercloud should act as an NTP server to initially sy...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: James Slagle
QA Contact: Shai Revivo
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-18 20:54 UTC by Dan Sneddon
Modified: 2019-06-14 15:52 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-14 15:52:04 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1194571 None CLOSED instack does not set up ntp on nodes 2019-06-23 22:24 UTC

Description Dan Sneddon 2015-06-18 20:54:50 UTC
Description of problem:
When we deploy OpenStack we don't set up an NTP server on the nodes. This can lead to the system times being wildly off, which causes HA to not function. We can use the Undercloud to do NTP sync for the overcloud.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Deploy HA overcloud
2. If overcloud servers can't reach NTP, time will be off
3. 

Actual results:
HA fails to achieve quorum

Expected results:
Time should sync, and HA should achieve quorum

Additional info:
This particularly affects proof-of-concept deployments, where the cloud might not be connected to the Internet. If an internal NTP server is not configured, there is no way to sync the time.

Comment 3 Mike Burns 2015-06-18 23:42:58 UTC
I might suggest a somewhat different approach.  Let the admin specify an NTP server.  If they don't, configure the undercloud as a dummy ntp server.  If the do, register the undercloud and the overcloud nodes to the ntp server specified.

You could also configure the undercloud to sync from the external server, then act as the server for the overcloud nodes.

Comment 4 Dan Sneddon 2015-06-19 01:08:59 UTC
(In reply to Mike Burns from comment #3)

+1

Comment 5 James Slagle 2015-06-19 14:33:10 UTC
this is an RFE to support environments where overcloud nodes do not have a routable network to an ntp server. is this really a blocker?

Comment 6 Jaromir Coufal 2016-01-07 09:07:19 UTC
Hi James, is this still an issue/rfe? I know we were dealing with bug regarding syncing time across nodes before. Thanks, Jarda

Comment 7 Dan Sneddon 2016-01-07 21:35:53 UTC
(In reply to Jaromir Coufal from comment #6)
> Hi James, is this still an issue/rfe? I know we were dealing with bug
> regarding syncing time across nodes before. Thanks, Jarda

Yes, this is still a serious shortcoming. We require an NTP server, but if the customer doesn't have one on their network, then NTP sync has to happen over the Internet, which is much less reliable.

Considering that a time drift between controllers can bring the entire HA cluster down, I think we need to provide a reliable backup option for customers that don't have an infrastructure NTP server. It's not like it's a big change, we just have to configure NTP on the undercloud (probably add an upstream NTP server setting in undercloud.conf and use that as the authoritative time source for the undercloud). Really, though, as long as the controllers are syncing to the same source (Undercloud), we don't even care if the Undercloud has the correct time, it's just important that all servers remain in sync.

Of course, the recommendation is still to use an infrastructure NTP server, ideally one with redundancy/HA.

Comment 9 James Slagle 2016-09-12 23:43:02 UTC
this is still an open rfe

Comment 11 Red Hat Bugzilla Rules Engine 2017-03-01 13:48:50 UTC
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.

Comment 13 Jaromir Coufal 2019-06-14 15:52:04 UTC
Obsolete RFE without enough of backed demand.


Note You need to log in before you can comment on or make changes to this bug.